//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2011.02.14 at 01:38:06 PM MEZ 
//


package info.textgrid.lab.workflow.servicedescription;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}name"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}description" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}servicesubjects" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}servicedetails" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}servicedescriptiondetails" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/namespaces/middleware/workflow/servicedescription/2010/11}servicelicense" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "name",
    "description",
    "servicesubjects",
    "servicedetails",
    "servicedescriptiondetails",
    "servicelicense"
})
@XmlRootElement(name = "descriptivedata")
public class Descriptivedata {

    @XmlElement(required = true)
    protected String name;
    protected String description;
    protected Servicesubjects servicesubjects;
    protected Servicedetails servicedetails;
    protected Servicedescriptiondetails servicedescriptiondetails;
    protected Servicelicense servicelicense;

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the servicesubjects property.
     * 
     * @return
     *     possible object is
     *     {@link Servicesubjects }
     *     
     */
    public Servicesubjects getServicesubjects() {
        return servicesubjects;
    }

    /**
     * Sets the value of the servicesubjects property.
     * 
     * @param value
     *     allowed object is
     *     {@link Servicesubjects }
     *     
     */
    public void setServicesubjects(Servicesubjects value) {
        this.servicesubjects = value;
    }

    /**
     * Gets the value of the servicedetails property.
     * 
     * @return
     *     possible object is
     *     {@link Servicedetails }
     *     
     */
    public Servicedetails getServicedetails() {
        return servicedetails;
    }

    /**
     * Sets the value of the servicedetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link Servicedetails }
     *     
     */
    public void setServicedetails(Servicedetails value) {
        this.servicedetails = value;
    }

    /**
     * Gets the value of the servicedescriptiondetails property.
     * 
     * @return
     *     possible object is
     *     {@link Servicedescriptiondetails }
     *     
     */
    public Servicedescriptiondetails getServicedescriptiondetails() {
        return servicedescriptiondetails;
    }

    /**
     * Sets the value of the servicedescriptiondetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link Servicedescriptiondetails }
     *     
     */
    public void setServicedescriptiondetails(Servicedescriptiondetails value) {
        this.servicedescriptiondetails = value;
    }

    /**
     * Gets the value of the servicelicense property.
     * 
     * @return
     *     possible object is
     *     {@link Servicelicense }
     *     
     */
    public Servicelicense getServicelicense() {
        return servicelicense;
    }

    /**
     * Sets the value of the servicelicense property.
     * 
     * @param value
     *     allowed object is
     *     {@link Servicelicense }
     *     
     */
    public void setServicelicense(Servicelicense value) {
        this.servicelicense = value;
    }

}
